/* TYPOGRAPHY */
@font-face {
    font-family: 'bright_burnregular';
    src: url('../fonts/bright_burn-webfont.woff2') format('woff2'),
         url('bright_burn-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}




/* GLOBAL STYLES */
body {
    overflow-x: hidden !important;
    font-family: 'Comfortaa', 'sans-serif';
    line-height: 1.2;
}

.container {
    max-width: 100% !important;
    overflow-x: hidden !important;
}

.wrap {
    margin: 0 186px;
}

.is-flex {
    display: flex;
}

h2 {
    font-family: 'bright_burnregular';
    font-size: 56px;
    font-weight: 700;
    color: #5B3428;
    margin-bottom: 40px;
}

p {
    font-family: 'Comfortaa', 'sans-serif';
    font-size: 16px;
    margin-bottom: 24px;
}

.btn {
    text-decoration: none;
    border: 1px solid #44772B;
    color: #44772B;
    text-align: center;
    border-radius: 5px;
    padding: 10px 15px;
    max-width: 100px;
}




/* NAVIGATION STYLES */
.navigation {
    justify-content: center;
    margin: 0 186px;
}

.nav-container {
    height: 88px;
    width: 945px;
    justify-content: space-between;
    align-items: center;
    color: transparent;
    border-bottom: 1px solid white;
    z-index: 1;
}

nav ul li a {
    text-decoration: none;
    font-size: 24px;
    font-weight: 700;
    color: white;
}

nav ul li a:hover {
    color: #5B3428;
}

.nav-logo {
    height: 32px;
}




/* HERO BANNER SECTION */
.hero-banner {
    height: 896px;
    background-image: url("../images/homepage/homepage-hero.png");
    justify-content: center;
    align-items: center;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    position: relative;
    bottom: 89px;
}

.hero-overlay {
    flex-direction: column;
}

h1 {
    font-family: 'bright_burnregular';
    font-size: 72;
    font-weight: 400;
    color: #5B3428;
    margin: 280px 0 76px 0;
}

.text-overlay {
    text-align: center;
}

.banner-cta {
    width: 830px;
    justify-content: center;
}

.button-container {
    width: 366px;
    justify-content: space-between;
}

.tagline {
    font-size: 24px;
    font-weight: 700;
    color: #333333;
    margin-bottom: 24px;
}

.center-btns {
    justify-content: center;
}

.banner-btn {
    background-color: rgba(91, 52, 40, 0.5);
    text-decoration: none;
    font-size: 18;
    font-weight: 700;
    color: #fff;
    padding: 10px 25px;
    border-radius: 15px;
}

.main-socials {
    justify-content: center;
    position: relative;
    bottom: 50px;
    margin-bottom: 72px;
}

.social-links-container {
    width: 178px;
    height: 24px;
    justify-content: space-between;
}

.social-icons-banner {
    max-width: 24px;
    max-height: 24px;
} 




/* ABOUT US  SECTION */
.about-us {
    justify-content: space-between;
    max-width: 1140px;
    margin-left: min(10%, 186px);
    margin-right: min(10%, 186px);
    margin-bottom: 48px;
    gap: 6rem;
}

.about-img-container {
    flex: 40%;
}

.about-info-container {
    flex: 60%;
    padding-right: 97px;
}

/* .about-img {
    border-radius: 15px;
    width: 100%;
    height: 100%;
} */

.background-img-about {
    background-image: url("../images/homepage/coffee-cat.jpg");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    border-radius: 15px;
    width: 100%;
    height: 100%;
}




/* ADOPTION SECTION */
.adoption {
    background-color: #EFEBEA;
}

.adoption-banner {
    flex-direction: column;
    align-items: center;
    margin-left: min(10%, 186px);
    margin-right: min(10%, 186px);
}

h3 {
    font-family: 'bright_burnregular';
    font-size: 56px;
    font-weight: 700;
    color: #44772B;
    margin: 40px 0 40px 0;
    text-align: center;
}

.adoption-info {
    padding: 0 72px;
    text-align: center;
}

.adoption .adoption-banner .btn {
    margin-bottom: 72px;
}

.adoption .img-gallery h2 {
    margin-top: 72px;
}




/* ADOPTED GALLERY SECTION */
.adopted-gallery {
    margin-left: min(10%, 186px);
    margin-right: min(10%, 186px);
}

.adopted-gallery h2 {
    margin-top: 64px;
    text-align: center;
}

.gallery-col {
    width: 23%;
    flex-direction: column;
}

.gallery-thumbnail {
    margin-bottom: 25px;
}

.gallery-container {
    justify-content: space-between;
    margin-bottom: 80px;
}

.btn-container {
    justify-content: center;
}

.adopted-gallery .btn-container .btn {
    margin-bottom: 112px;
    max-width: 200px;
}

.line-break {   
    width: 100%;
    color: rgba(0, 0, 0, 0.2);
    margin-bottom: 112px;
}




/* EMPLOYEE OF THE MONTH SECTION */
.employee-of-the-month {
    justify-content: space-between;
    max-width:1140px;
    margin-left: min(10%, 186px);
    margin-right: min(10%, 186px);
    margin-bottom: 48px;
    gap: 6rem;
}

.employee-img-container {
    flex: 40%;
}

.employee-info-container {
    flex: 60%
}

/* .employee-img {
    border-radius: 15px;
    width: 100%;
    height: 100%;
} */

.background-img-employee {
    background-image: url("../images/homepage/theo.jpg");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    border-radius: 15px;
    width: 100%;
    height: 100%;
}




/* TESTIMONIALS SECTION */
.testimonials {
    background-color: #CFDAC5;
}

.testimonial-cards {
    margin-left: min(10%, 186px);
    margin-right: min(10%, 186px);
}

.testimonials h2 {
    margin: 48px 0 32px 0;
    padding-top: 48px;
}

.testimonial-container {
    justify-content: space-between;
}

.testimonial {
    width: 30%;
    max-width: 367px;
    max-height: 584px;
    background-color: #fff;
    border: 1px solid black;
    border-radius: 15px;
    box-shadow: 4px 8px 8px rgba(0, 0, 0, 0.5);
    flex-direction: column;
    margin-bottom: 72px;
}

.customer-quote {
    font-size: 18px;
    font-weight: 700;
    padding-bottom: 16px;
    padding: 24px 24px 16px 24px;
    flex-grow: 1;
}

.customer-info-container {
    max-height: 134px;
    flex-direction: column;
    align-items: center;
    justify-content: flex-end;
}

.customer-img {
    max-width: 80px;
    max-height: 80px;
    border: 1px solid black;
    border-radius: 50px;
}

h5 {
    font-size: 18px;
    font-weight: 700;
    margin-bottom: 8px;
}

.customer-info {
    font-size: 14px;
    font-weight: 700;
    color: #666666;
    margin-bottom: 32px;
}




/* CTA SECTION */
.cta-img {
    background-image: url("../images/footer-img.jpg");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    max-width: 100%;
    height: 416px;
    justify-content: center;
    align-items: center;
}

.cta {
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: rgba(91, 52, 40, 0.85);
    max-width: 946px;
    max-height: 240px;
    border-radius: 15px;
}

h4 {
    font-family: 'bright_burnregular';
    font-size: 48px;
    font-weight: 700;
    color: #FFEBC2;
    text-shadow: 4px 4px rgba(0, 0, 0, 0.75);
    margin: 40px 0 32px 0;
}

.cta-text {
    font-size: 16px;
    color: #fff;
    max-width: 870px;
    text-align: center;
    padding: 0 20px;
}




/* FOOTER STYLES */
footer {
    background-color: #5B3428;
    /* height: 440px; */
}

.footer-container {
    margin-left: min(10%, 186px);
    margin-right: min(10%, 186px);
}

h6 {
    font-size: 18;
    font-weight: 700;
    margin: 48px 0 0 0;
    color: #fff;
}

.space-below {
    margin-bottom: 16px;
}

.footer-link {
    text-decoration: none;
    font-size: 14px;
    font-weight: 400;
    color: #fff;
}

.logo-container {
    width: 270px;
    margin-right: 20px;
}

.footer-logo {
    width: 270px;
    margin-top: 38px;
}

.links-container {
    width: 173px;
    margin-right: 20px;
}

.info-container {
    width: 270px;
    margin-right: 20px;
}

.footer-info {
    list-style-type: none;
    font-size: 14px;
    font-weight: 400;
    margin: 0 0 16px 0;
    color: #fff;
}

.maps-container {
    width: 367px;
    margin-right: 20px;
}

.footer-map {
    max-width: 386px;
    max-height: 287px;
    border-radius: 25px;
    margin-top: 48px;
}

.final-footer {
    height: 72px;
    border-top: 1px solid white;
    justify-content: space-between;
    align-items: center;
    margin-left: min(10%, 186px);
    margin-right: min(10%, 186px);
}

.copyright {
    font-size: 14px;
    font-weight: 300;
    color: #fff;
    margin-bottom: 0;
}

.footer-socials-container {
    width: 173px;
    justify-content: space-between;
}

.footer-socials {
    max-width: 24px;
    max-height: 24px;
}





/* MEDIA QUERIES */
/* TABLET */
@media only screen and (max-width: 768px) {


    /* GLOBAL STYLES */
    h2 {
        font-size: 48px;
        margin-bottom: 24px;
    }

    h3 {
        font-size: 48px;
        margin-bottom: 24px;
    }

    .btn {
        font-size: 12px;
    }
    

    /* NAVIGATION */
    .navigation {
        margin-left: min(10%, 186px);
        margin-right: min(10%, 186px);
    }

    nav ul li a {
        font-size: 20px;
    }
    
    .nav-logo {
        height: 28px;
    }
    

    /* ABOUT US SECTION */
    .about-info-container {
        padding-right: 0;
    }

    .background-img-about {
        background-image: url("../images/homepage/tablet/coffee-cat.jpg");
    }

    .about-us .about-info-container p {
        font-size: 12px;
    }


    /* ADOPTION SECTION */
    .adoption .adoption-banner .btn {
        font-size: 16px;
    }


    /* GALLERY SECTION */
    /* NONE FOR TABLET */


    /* EMPLOYEE OF THE MONTH SECTION */
    .employee-of-the-month .employee-info-container p {
        font-size: 12px;        
    }

    .background-img-employee {
        background-image: url("../images/homepage/tablet/theo.jpg");
    }


    /* TESTIMONIAL SECTION */
    .customer-quote {
        font-size: 12px;
    }

    h5 {
        font-size: 16px;
    }

    .customer-info {
        font-size: 12px;
    }


    /* CTA SECTION */
    h4 {
        font-size: 40px;
        margin: 24px 0 16px 0;
    }
    
    .cta-text {
        font-size: 12px;
        max-width: 640px;
    }


    /* FOOTER */
    .footer-logo {
        width: 144px;
    }

    h6 {
        font-size: 16px;
    }

    .footer-link {
        font-size: 12px;
    }

    .footer-info {
        font-size: 12px;
    }

    .footer-map {
        width: 240px;
    }
}



/* MEDIA QUERIES */
/* PHONE */
@media only screen and (max-width: 576px) {


    /* GLOBAL STYLES */
    h1 {
        font-size: 48px;
        padding: 0 85px;
    }
    
    h2 {
        font-size: 40px;
        margin-bottom: 20px;
    }

    h3 {
        font-size: 40px;
        margin-bottom: 20px;
    }


    /* NAVIGATION */
    nav ul li a {
        font-size: 16px;
    }
    
    .nav-logo {
        height: 24px;
    }

    /* HERO BANNER */
    .tagline {
        font-size: 16px;
    }

    .button-container {
        width: 280px;
    }

    .banner-btn {
        font-size: 16px;
    }


    /* ABOUT US SECTION */
    .about-us {
        flex-direction: column;
        gap: 3rem;
    }

    .background-img-about {
        background-image: url("../images/homepage/mobile/coffee-cat.jpg");
        width: 100%;
        height: 500px;
    }

    .about-img-container {
        order: 2;
    }


    /* ADOPTION SECTION */
    .adoption .adoption-banner .btn {
        font-size: 16px;
    }


    /* GALLERY SECTION */
    /* NONE FOR TABLET */


    /* EMPLOYEE OF THE MONTH SECTION */
    .employee-of-the-month {
        flex-direction: column;
    }
    
    .employee-img-container {
        order: 2;
    }

    .employee-of-the-month .employee-info-container p {
        font-size: 12px;        
    }

    .background-img-employee {
        background-image: url("../images/homepage/mobile/theo.jpg");
        background-position: top;
        width: 100%;
        height: 250px;
    }


    /* TESTIMONIAL SECTION */
    .employee-of-the-month {
        gap: 3rem;
    }
    
    .testimonial-container {
        flex-direction: column;
    }

    .testimonial {
        width: 100%;
        max-width: 100%;
    }
    
    .customer-quote {
        font-size: 12px;
    }

    h5 {
        font-size: 16px;
    }

    .customer-info {
        font-size: 12px;
    }


    /* CTA SECTION */
    .cta {
        max-width: 400px;
    }
    
    h4 {
        font-size: 40px;
        margin: 24px 0 16px 0;
        text-align: center;
    }
    
    .cta-text {
        font-size: 12px;
        max-width: 640px;
    }


    /* FOOTER */
    .footer-container {
        flex-direction: column;
    }
    
    .footer-logo {
        width: 200px;
        position: relative;
        right: 5px;
    }

    h6 {
        font-size: 16px;
    }

    .footer-link {
        font-size: 12px;
    }

    .footer-info {
        font-size: 12px;
    }

    .copyright {
        font-size: 12px;
    }

    .footer-socials-container {
        margin-left: 24px;
    }

    .footer-map {
        width: 240px;
        margin-bottom: 24px;
    }
}